---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetfldnm004.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FB80, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51AC0, symBinAddr: 0x8100, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51EB0, symBinAddr: 0x84F0, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52E50, symBinAddr: 0x9490, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52E60, symBinAddr: 0x94A0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F810, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F814, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F818, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F960, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FA18, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FA1C, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FA20, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FA24, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FA28, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FA30, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FA48, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FA50, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FA58, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FA60, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FA68, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4FAAA, symBinAddr: 0x61AA, symSize: 0x0 }
  - { offsetInCU: 0x90F4, offset: 0x90F4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FAB0, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x910D, offset: 0x910D, size: 0x8, addend: 0x0, symName: __ZL6fields, symObjAddr: 0xDCA0, symBinAddr: 0x5020, symSize: 0x0 }
  - { offsetInCU: 0x9167, offset: 0x9167, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4FAB8, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x91C0, offset: 0x91C0, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1850, symSize: 0x80 }
  - { offsetInCU: 0x9255, offset: 0x9255, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x17A0, symSize: 0xB0 }
  - { offsetInCU: 0x92B0, offset: 0x92B0, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x16A0, symSize: 0x100 }
  - { offsetInCU: 0x9543, offset: 0x9543, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x18D0, symSize: 0x220 }
  - { offsetInCU: 0x9728, offset: 0x9728, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1AF0, symSize: 0xA0 }
  - { offsetInCU: 0x97DB, offset: 0x97DB, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1B90, symSize: 0x110 }
  - { offsetInCU: 0x98D1, offset: 0x98D1, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1CA0, symSize: 0x150 }
  - { offsetInCU: 0x9A02, offset: 0x9A02, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1DF0, symSize: 0x30 }
  - { offsetInCU: 0x9A8B, offset: 0x9A8B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1E20, symSize: 0x150 }
  - { offsetInCU: 0x9C83, offset: 0x9C83, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1F70, symSize: 0x160 }
  - { offsetInCU: 0x9E0F, offset: 0x9E0F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x20D0, symSize: 0x1B0 }
  - { offsetInCU: 0xA02A, offset: 0xA02A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2280, symSize: 0xA0 }
  - { offsetInCU: 0xA0F9, offset: 0xA0F9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2320, symSize: 0x20 }
  - { offsetInCU: 0xA130, offset: 0xA130, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2340, symSize: 0x20 }
  - { offsetInCU: 0xA167, offset: 0xA167, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2360, symSize: 0x20 }
  - { offsetInCU: 0xA2D6, offset: 0xA2D6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2380, symSize: 0x1A0 }
  - { offsetInCU: 0xA5F4, offset: 0xA5F4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2520, symSize: 0x80 }
  - { offsetInCU: 0xA6BD, offset: 0xA6BD, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x25A0, symSize: 0x6C0 }
  - { offsetInCU: 0xB233, offset: 0xB233, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA040, symBinAddr: 0x3630, symSize: 0xB0 }
  - { offsetInCU: 0xB2AA, offset: 0xB2AA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2C60, symSize: 0x70 }
  - { offsetInCU: 0xB346, offset: 0xB346, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2CD0, symSize: 0xA0 }
  - { offsetInCU: 0xB425, offset: 0xB425, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2D70, symSize: 0x40 }
  - { offsetInCU: 0xB51B, offset: 0xB51B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2DB0, symSize: 0x2B0 }
  - { offsetInCU: 0xB8C1, offset: 0xB8C1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3060, symSize: 0xC0 }
  - { offsetInCU: 0xBA07, offset: 0xBA07, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3120, symSize: 0x10 }
  - { offsetInCU: 0xBAC9, offset: 0xBAC9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3130, symSize: 0x240 }
  - { offsetInCU: 0xBDEB, offset: 0xBDEB, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3370, symSize: 0x70 }
  - { offsetInCU: 0xBEB6, offset: 0xBEB6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DF0, symBinAddr: 0x33E0, symSize: 0x70 }
  - { offsetInCU: 0xBFD1, offset: 0xBFD1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetFieldName_getfldnm004_check, symObjAddr: 0x9E60, symBinAddr: 0x3450, symSize: 0x1E0 }
  - { offsetInCU: 0xC113, offset: 0xC113, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA0F0, symBinAddr: 0x36E0, symSize: 0x36A }
...
